Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters.extended
Class StackTraceElementFactory

    java.lang.Object
      com.thoughtworks.xstream.converters.extended.StackTraceElementFactory

    public class StackTraceElementFactory

extends Object

Factory for creating StackTraceElements. Factory for creating StackTraceElements.

Author:
  B. K. Oxley (binkley), Joe Walnes

Constructor Summary
`StackTraceElementFactory()`

Method Summary
`StackTraceElement` | `element(String declaringClass, String methodName, String fileName)`
`StackTraceElement` | `element(String declaringClass, String methodName, String fileName, int lineNumber)`
`StackTraceElement` | `nativeMethodElement(String declaringClass, String methodName)`
`StackTraceElement` | `unknownSourceElement(String declaringClass, String methodName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StackTraceElementFactory

    public StackTraceElementFactory()

Method Detail

### nativeMethodElement

    public StackTraceElement nativeMethodElement(String declaringClass,
                                                 String methodName)

### unknownSourceElement

    public StackTraceElement unknownSourceElement(String declaringClass,
                                                  String methodName)

### element

    public StackTraceElement element(String declaringClass,
                                     String methodName,
                                     String fileName)

### element

    public StackTraceElement element(String declaringClass,
                                     String methodName,
                                     String fileName,
                                     int lineNumber)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.